%define	name	bluez-bluefw
%define version 1.0
%define release 6mdk

Name: 		%{name}
Summary: 	Bluetooth firmware utilities
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bluez.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kernel-source
BuildRequires:	udev-tools

%description
Bluetooth firmware utilities.

%prep
%setup -q
# use sanitized kernel headers whenever possible
mkdir -p fake-linux/include
cp -a /usr/src/linux/include/pcmcia/ fake-linux/include/

%build
%configure2_5x --with-kernel=$PWD/fake-linux
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall fwdir=$RPM_BUILD_ROOT%{_datadir}/bluetooth/firmware usbdir=$RPM_BUILD_ROOT%{_sysconfdir}/udev/agents.d/usb
perl -p -i -e 's|exec /sbin/bluefw|exec /usr/sbin/bluefw||g' $RPM_BUILD_ROOT%{_sysconfdir}/udev/agents.d/usb/bluefw 

# use udev rules instead of hotplug usermap
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
/usr/sbin/udev_import_usermap --no-modprobe usb $RPM_BUILD_ROOT%{_sysconfdir}/udev/agents.d/usb/bluefw.usermap > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/70-bluefw.rules
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/agents.d/usb/bluefw.usermap

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_sysconfdir}/udev/agents.d/usb/bluefw
%{_sysconfdir}/udev/rules.d/70-bluefw.rules
%{_sbindir}/bluefw
%{_datadir}/bluetooth/firmware/*

%changelog
* Fri Sep 02 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-6mdk
- drop "< 2.5" from kernel-source buildrequires

* Tue Aug 30 2005 Olivier Blin <oblin@mandriva.com> 1.0-5mdk
- convert to udev rules

* Tue Aug 30 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-4mdk
- use sanitized kernel headers whenever possible

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.0-3mdk
- rebuild

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 1.0-2mdk
- fix hotplug script
- configure 2.5

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-1mdk
- 1.0
- require 2.4 kernel source, won't compile with 2.6

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.9-2mdk
- buildrequires kernel-source
- delint

* Mon Jan 20 2003 Austin Acton <aacton@yorku.ca> 0.9-1mdk
- initial package
